# $Id: kprof.spec,v 1.4 2003/08/18 14:35:32 rexdieter Exp $

## kde-redhat macros
%define rhversion %(perl -pe '/(\\d+)\\.?(\\d)?/; $_="$1".($2||0)' /etc/redhat-release)

%if "%{rhversion}" >= "80"
%define desktop_file 1
%else
%define configure_opts --program-prefix="%{?program_prefix}"
%endif

%define fedora_release .fdr.4%{!?_without_dist:.rh%{rhversion}}

Name: 	 kprof
Summary: Tool which analyzes the execution profiling output generated by gprof 
epoch: 	 0
Version: 1.4.2
Release: 0%{?fedora_release} 
License: GPL
Group:	 Development/Debuggers
Source:	 http://prdownloads.sourceforge.net/kprof/kprof-1.4.2.tar.bz
URL:	 http://kprof.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Patch0: kprof-1.4.2-longline.patch

Requires: qt >= 3.1
Requires: binutils
BuildRequires: gcc-c++
BuildRequires: kdelibs-devel >= 3.1
BuildRequires: qt-devel >= 3.1

%description 
KProf is a visual tool for developers, which displays the execution profiling
output generated by code profilers. The output of profilers being usually
difficult to read (beyond the flat profile information), KProf presents the
information in list- or tree-views that make the information very easy to
understand.

KProf provides access to the following features:

    * Flat profile view displays all function / methods and their profiling information.
    * Hierarchical profile view displays a tree for each function / method with the other 
      functions / methods it calls as subelements.
    * Object profile view, for C++ developers, groups the methods in a tree view by object 
      name.
    * Graph view is a graphical representation of the call-tree, requires GraphViz to work.
    * Method view is a more detailed look at an individual method - cross referenced.
    * Recursive functions carry a special icon to clearly show that they are recursive.
    * Right-clicking a function or method displays a pop-up with the list of callers and 
      called functions. You can directly go to one of these functions by selecting it in 
      the pop-up menu.
    * The flat profile view provides an additional filter edit box to filter the display 
      and show only the functions or methods containing the text that you enter.
    * Function parameters hiding if the function name is unique (i.e. no different 
      signatures)
    * C++ template abbreviation (template parameters can be hidden)
    * Automatic generation of call-graph data for GraphViz and VCG, two popular graph 
      image generators.
    * Diff mode support to compare two profile results.

$Revision: 1.4 $


%prep
%setup -n %{name} -q 
%patch0 -p1 -b .longline


%build
%configure \
	--with-xinerama

make %{?_smp_mflags}


%install
rm -rf %{buildroot}


%makeinstall
%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/icons/*/*/apps/%{name}.png
%{_datadir}/applnk/Development/%{name}.desktop
%{_datadir}/apps/%{name}
%doc %{_docdir}/HTML/*/%{name}


%changelog
* Mon Aug 18 2003 Rex Dieter <rexdieter at sf.net> 0:1.4.2-0.fdr.3
- Epoch 0
- %%lang'ify docs
- specfile costmetics.

* Wed Aug 13 2003 Bob Tanner <tanner@real-time.com> 1.4.2-0.fdr.3
- fixed unterminated string constant

* Sat Jun 21 2003 Bob Tanner <tanner@real-time.com> 1.4.2-0.fdr.2
- fedorized it

* Wed May 07 2003 Bob Tanner <tanner@real-time.com>
+ kprof-1.4.2-1.realtime
- initial .spec
